import { get, put, post, deletes } from '@/http/index'

// 查询虚警抑制结果列表
export const getFalseAlarmResult = async (data) => {
  return await get('/als/falseAlarmResult/list', data)
}

// 新增虚警抑制结果
export const addFalseAlarmResult = async (data) => {
  return await post('/als/falseAlarmResult', data)
}

// 修改虚警抑制结果
export const updateFalseAlarmResult = async (data) => {
  return await put('/als/falseAlarmResult', data)
}

// 删除虚警抑制结果
export const removeFalseAlarmResult = async (id) => {
  return await deletes('/als/falseAlarmResult/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
